<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="~ sublib"
	ProjectGUID="{13F2E247-8E8B-4A79-88EC-AD4A5F44B2DF}"
	RootNamespace="~ sublib"
	Keyword="Win32Proj"
	TargetFrameworkVersion="131072"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="Debug"
			IntermediateDirectory="Debug"
			ConfigurationType="4"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="$(SC_INCLUDE)"
				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;QT_DLL;QT_THREAD_SUPPORT"
				MinimalRebuild="true"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				SmallerTypeCheck="true"
				RuntimeLibrary="3"
				BufferSecurityCheck="true"
				EnableFunctionLevelLinking="true"
				DisableLanguageExtensions="false"
				RuntimeTypeInfo="true"
				UsePrecompiledHeader="0"
				BrowseInformation="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="$(OutDir)/sublib.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="Release"
			IntermediateDirectory="Release"
			ConfigurationType="4"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="0"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/Oy-"
				Optimization="1"
				AdditionalIncludeDirectories="$(SC_INCLUDE)"
				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;QT_DLL;QT_THREAD_SUPPORT"
				ExceptionHandling="2"
				SmallerTypeCheck="false"
				RuntimeLibrary="2"
				DisableLanguageExtensions="false"
				RuntimeTypeInfo="true"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				AdditionalOptions="/LTCG&#x0D;&#x0A;"
				OutputFile="$(OutDir)/sublib.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\AboutDialog.cpp"
				>
			</File>
			<File
				RelativePath=".\AboutDialog.h"
				>
			</File>
			<File
				RelativePath=".\ActionStorage.cpp"
				>
			</File>
			<File
				RelativePath=".\ActionStorage.h"
				>
			</File>
			<File
				RelativePath=".\BlockInfo.h"
				>
			</File>
			<File
				RelativePath=".\ColorStorage.cpp"
				>
			</File>
			<File
				RelativePath=".\ColorStorage.h"
				>
			</File>
			<File
				RelativePath=".\ConflictType.h"
				>
			</File>
			<File
				RelativePath=".\CrashHandler.cpp"
				>
			</File>
			<File
				RelativePath=".\CrashHandler.h"
				>
			</File>
			<File
				RelativePath=".\Cursor.h"
				>
			</File>
			<File
				RelativePath=".\DebugSettings.h"
				>
			</File>
			<File
				RelativePath=".\DebugSettingsInfo.cpp"
				>
			</File>
			<File
				RelativePath=".\DebugSettingsInfo.h"
				>
			</File>
			<File
				RelativePath=".\DebugSettingsWidget.cpp"
				>
			</File>
			<File
				RelativePath=".\DebugSettingsWidget.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\DragDrop.cpp"
				>
			</File>
			<File
				RelativePath=".\DragDrop.h"
				>
			</File>
			<File
				RelativePath=".\ErrorDialog.cpp"
				>
			</File>
			<File
				RelativePath=".\ErrorDialog.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\ExternButton.cpp"
				>
			</File>
			<File
				RelativePath=".\ExternButton.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\Gui.cpp"
				>
			</File>
			<File
				RelativePath=".\Gui.h"
				>
			</File>
			<File
				RelativePath=".\IconFactory.cpp"
				>
			</File>
			<File
				RelativePath=".\IconFactory.h"
				>
			</File>
			<File
				RelativePath=".\Line.cpp"
				>
			</File>
			<File
				RelativePath=".\Line.h"
				>
			</File>
			<File
				RelativePath=".\LineConfig.h"
				>
			</File>
			<File
				RelativePath=".\LineEnd.h"
				>
			</File>
			<File
				RelativePath=".\LineTarget.h"
				>
			</File>
			<File
				RelativePath=".\MacStyle.cpp"
				>
			</File>
			<File
				RelativePath=".\MacStyle.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description=""
						CommandLine=""
						Outputs=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description=""
						CommandLine=""
						Outputs=""
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\MessageBox.cpp"
				>
			</File>
			<File
				RelativePath=".\MessageBox.h"
				>
			</File>
			<File
				RelativePath=".\MsgHandler.cpp"
				>
			</File>
			<File
				RelativePath=".\MsgHandler.h"
				>
			</File>
			<File
				RelativePath=".\NullTextModel.cpp"
				>
			</File>
			<File
				RelativePath=".\NullTextModel.h"
				>
			</File>
			<File
				RelativePath=".\OStreamQt.cpp"
				>
			</File>
			<File
				RelativePath=".\OStreamQt.h"
				>
			</File>
			<File
				RelativePath=".\PaintLine.h"
				>
			</File>
			<File
				RelativePath=".\PaintLineFactory.cpp"
				>
			</File>
			<File
				RelativePath=".\PaintLineFactory.h"
				>
			</File>
			<File
				RelativePath=".\PathOps.cpp"
				>
			</File>
			<File
				RelativePath=".\PathOps.h"
				>
			</File>
			<File
				RelativePath=".\PathSimplifier.cpp"
				>
			</File>
			<File
				RelativePath=".\PathSimplifier.h"
				>
			</File>
			<File
				RelativePath=".\QSupportAlgorithms.h"
				>
			</File>
			<File
				RelativePath=".\resources.cpp"
				>
			</File>
			<File
				RelativePath=".\resources.qrc"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="rcc -name sublib -o resources.cpp ../pics/sublib.qrc"
						CommandLine="$(SC_PATH)/rcc -name sublib -o resources.cpp ../pics/sublib.qrc&#x0D;&#x0A;"
						AdditionalDependencies="../pics/sublib.qrc"
						Outputs="resources.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="rcc -name sublib -o resources.cpp ../pics/sublib.qrc"
						CommandLine="$(SC_PATH)/rcc -name sublib -o resources.cpp ../pics/sublib.qrc&#x0D;&#x0A;"
						AdditionalDependencies="../pics/sublib.qrc"
						Outputs="resources.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\submerge\Settings.cpp"
				>
			</File>
			<File
				RelativePath="..\submerge\Settings.h"
				>
			</File>
			<File
				RelativePath=".\SettingsDialog.cpp"
				>
			</File>
			<File
				RelativePath=".\SettingsDialog.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\SettingsInfo.h"
				>
			</File>
			<File
				RelativePath=".\SplitLayout.cpp"
				>
			</File>
			<File
				RelativePath=".\SplitLayout.h"
				>
			</File>
			<File
				RelativePath=".\Splitter.cpp"
				>
			</File>
			<File
				RelativePath=".\Splitter.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\StringUtil.cpp"
				>
			</File>
			<File
				RelativePath=".\StringUtil.h"
				>
			</File>
			<File
				RelativePath=".\Tab.cpp"
				>
			</File>
			<File
				RelativePath=".\Tab.h"
				>
			</File>
			<File
				RelativePath=".\TargetId.cpp"
				>
			</File>
			<File
				RelativePath=".\TargetId.h"
				>
			</File>
			<File
				RelativePath=".\TargetRepository.cpp"
				>
			</File>
			<File
				RelativePath=".\TargetRepository.h"
				>
			</File>
			<File
				RelativePath=".\TextModel.h"
				>
			</File>
			<File
				RelativePath=".\TextModelImpl.cpp"
				>
			</File>
			<File
				RelativePath=".\TextModelImpl.h"
				>
			</File>
			<File
				RelativePath=".\Utility.cpp"
				>
			</File>
			<File
				RelativePath=".\Utility.h"
				>
			</File>
			<File
				RelativePath=".\version.in.h"
				>
			</File>
			<Filter
				Name="config"
				>
				<File
					RelativePath=".\config\Config.h"
					>
				</File>
				<File
					RelativePath=".\config\ConfigData.cpp"
					>
				</File>
				<File
					RelativePath=".\config\ConfigData.h"
					>
				</File>
				<File
					RelativePath=".\config\ConfigFile.cpp"
					>
				</File>
				<File
					RelativePath=".\config\ConfigFile.h"
					>
				</File>
				<File
					RelativePath=".\config\ConfigValue.cpp"
					>
				</File>
				<File
					RelativePath=".\config\ConfigValue.h"
					>
				</File>
			</Filter>
			<Filter
				Name="settings"
				>
				<File
					RelativePath=".\settings\ColorSettings.h"
					>
				</File>
				<File
					RelativePath=".\settings\ColorSettingsInfo.cpp"
					>
				</File>
				<File
					RelativePath=".\settings\ColorSettingsInfo.h"
					>
				</File>
				<File
					RelativePath=".\settings\ColorSettingsWidget.cpp"
					>
				</File>
				<File
					RelativePath=".\settings\ColorSettingsWidget.h"
					>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCustomBuildTool"
							Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
							CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
							Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCustomBuildTool"
							Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
							CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
							Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath=".\settings\HeaderSettings.cpp"
					>
				</File>
				<File
					RelativePath=".\settings\HeaderSettings.h"
					>
				</File>
				<File
					RelativePath=".\settings\LayoutSettings.h"
					>
				</File>
				<File
					RelativePath=".\settings\LayoutSettingsHandler.cpp"
					>
				</File>
				<File
					RelativePath=".\settings\LayoutSettingsHandler.h"
					>
				</File>
				<File
					RelativePath=".\settings\SettingsInfoBase.cpp"
					>
				</File>
				<File
					RelativePath=".\settings\SettingsInfoBase.h"
					>
				</File>
				<File
					RelativePath=".\settings\SettingsWidget.cpp"
					>
				</File>
				<File
					RelativePath=".\settings\SettingsWidget.h"
					>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCustomBuildTool"
							Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
							CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
							Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCustomBuildTool"
							Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
							CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
							Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
						/>
					</FileConfiguration>
				</File>
				<Filter
					Name="_moc"
					>
					<File
						RelativePath=".\settings\moc\ColorSettingsWidget_moc.cpp"
						>
					</File>
					<File
						RelativePath=".\settings\moc\SettingsWidget_moc.cpp"
						>
						<FileConfiguration
							Name="Debug|Win32"
							>
							<Tool
								Name="VCCLCompilerTool"
								ObjectFile="$(IntDir)\$(InputName)1.obj"
								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
							/>
						</FileConfiguration>
						<FileConfiguration
							Name="Release|Win32"
							>
							<Tool
								Name="VCCLCompilerTool"
								ObjectFile="$(IntDir)\$(InputName)1.obj"
								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
							/>
						</FileConfiguration>
					</File>
				</Filter>
			</Filter>
			<Filter
				Name="_moc"
				>
				<File
					RelativePath=".\moc\DebugSettingsWidget_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\ErrorDialog_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\ExternButton_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\SettingsDialog_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\Splitter_moc.cpp"
					>
				</File>
			</Filter>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
